- - check_integrity
- NAME
- SYNOPSIS
- DESCRIPTION
- OPTIONS

## check_integrity

Takes two (table name, column(s)) pairs. First pair is reference we check and second is destination that must exist. Array reference can be used for multiple columns.

Returns 0 if a record is missing or 1 otherwise.

# NAME

rt-validator - check and correct validity of records in RT's database

# SYNOPSIS

        rt-validator --check
        rt-validator --check --verbose
        rt-validator --check --verbose --resolve
        rt-validator --check --verbose --resolve --force

# DESCRIPTION

This script checks integrity of records in RT's DB. May delete some invalid records or resurrect accidentally deleted.

# OPTIONS

check

          mandatory.

          it's equal to -c

verbose

          print additional info to STDOUT
          it's equal to -v

resolve

          enable resolver that can delete or create some records

force

          resolve without asking questions

links-only

          only run the Link validation routines, useful if you changed your Organization

← Back to index